package entity

import (
	"time"

	"github.com/google/uuid"
)

type PartnerContent struct {
	ID           uuid.UUID `json:"id" gorm:"primaryKey;type:uuid"`
	PrimaryTitle string    `json:"primary_title" gorm:"type:varchar(255)"`
	ImagePath    string    `json:"image_path" gorm:"type:varchar(255)"`
	ImageURL     string    `json:"image_url" gorm:"type:text"`

	CreatedAt time.Time `json:"created_at"`
	UpdatedAt time.Time `json:"updated_at"`
}

func (PartnerContent) TableName() string {
	return "partner_contents"
}